#ifndef EVTI_H
#define EVTI_H
#include "stdint.h"
#include "llist.h"

typedef struct evti_internal_t evti_internal_t;
struct evti_internal_t{
    // these are internally used variables
    uint64_t period;
    llist_t l;
};

static inline void
evti_internal_init(evti_internal_t * data)
{
    llist_init(&data->l);
    data->period = 0;
}

static inline int
evti_internal_status(evti_internal_t * data)
{
    return !llist_empty(&data->l);
}

#endif
