#ifndef EVD_H
#define EVD_H
#include "llist.h"


typedef struct evd_internal_t evd_internal_t;

struct evd_internal_t { 
    llist_t l;
    unsigned int flags;
};

static inline void
evd_internal_init(evd_internal_t * data)
{
    llist_init(&data->l);
    data->flags = 0;
}

#define evd_internal_fini(arg) ((void) 0)


static inline int
evd_internal_watched(evd_internal_t * data)
{
    return data->flags != 0;
}

#endif
