#ifndef EVD_H
#define EVD_H
#include "llist.h"

typedef struct evd_internal_t evd_internal_t;

struct evd_internal_t { 
    unsigned index;
    unsigned flags;
    llist_t l;
};

static inline void
evd_internal_init(evd_internal_t * data)
{
    data->index = 0;
    data->flags = 0;
    llist_init(&data->l);
}

#define evd_internal_fini(arg) ((void) 0)

static inline int
evd_internal_watched(evd_internal_t * data)
{
    return data->flags != 0;
}

#endif
